<?php

// Dmarrage de la session
session_start();
$check = true;

function navigation($rang, $link, $title) {

	// Vrifie le rang du membre
	if($_SESSION["rang"] >= $rang) {
		echo "| [<a href='$link'>$title</a>] |";
	}
	
	else {
		echo "| [$title] |";
	}
	
}

// Dconnexion
if(isset($_GET["session"]) && $_GET["session"] == "deconnection") {

	// Dtruit les sessions d'administration
	unset($_SESSION["admin"], $_SESSION["pseudo"], $_SESSION["mdp"], $_SESSION["rang"]);
	
	// Redirection vers le module de connection et message d'action
	$_SESSION["action"] = "# Russite ! Dconnection de l'administration.";
	header("location:./connection.php");
	exit;
	
}

// Importation du fichier configuration
require_once("./configuration.php");

// Dtermine si la variable existe
if(isset($_GET["module"])) {

	// Supprime le slash pour empcher de naviguer dans l'arbre du site
	$link = str_replace ("/", "", $_GET["module"]);
	
	// Si le module existe
	if(is_file("./modules/$link.php")) {
		
		// Importation de la page
		include("./modules/$link.php");
		
	}
	
	// Si le module n'existe pas
	else {
	
		header("location:./admin.php");
		exit;
		
	}

}

// Affiche la page index de l'administration
else include("./modules/index.php");

echo "
	<div style='margin-top:100px;'>
	<div id='navigation'>
	<div class='contenu'>
";

// Gestion du menu d'administration en fonction des rangs
navigation(1, "./admin.php", "Accueil");
navigation(3, "./admin.php?module=comptes", "Comptes");
navigation(3, "./admin.php?module=parametres", "Paramtres");
navigation(1, "./admin.php?module=pages", "Pages");
navigation(1, "./admin.php?module=fichiers", "Fichiers");
navigation(2, "./admin.php?module=menu", "Menu");
navigation(2, "./admin.php?module=bloc", "Bloc");
navigation(4, "./admin.php?module=modules", "Modules");
navigation(1, "./admin.php?session=deconnection", "Dconnection");
	
echo "
	<br />
	Bonjour <strong>$_SESSION[pseudo]</strong>, votre rang est actuellement de <strong>$_SESSION[rang]</strong> ! :D<br />
	</div>
	</div>
	</div>
";

?>