<?php

function action() {

	if(isset($_SESSION["action"])) {
	
		echo "<div id='action'><div class='contenu'>". $_SESSION['action'] ."</div></div>";
		unset($_SESSION['action']);
		
	}
	
}



function menu() {

	require("./modules/data_menu.php");
	
	foreach($menu as $valeur => $rendu) {
		$name[$valeur] = $rendu['name']; 
		$url[$valeur] = $rendu['url'];
		
		echo '<li><a href="'.$rendu['url'].'">'.$rendu['name'].'</a></li>';
	}
	
	unset($valeur, $rendu);
}


function admin($rang) {

	// Vrifie l'existance de la session admin
	if(isset($_SESSION["admin"])) {
	
		// Vrifie le rang du membre
		if($_SESSION["rang"] >= $rang) {
		
			// Si le compte existe
			if(is_file("./comptes/".$_SESSION["pseudo"].".php")) {
			
				// Importation du mot de passe d'administration
				require_once("./comptes/".$_SESSION["pseudo"].".php");
				
				// Vrification du mot de passe
				if($_SESSION["mdp"] != ADM_MDP) {
					header("location:./connection.php");
				}
				
			}
			
		} else header("location:./admin.php");
		
	} else header("location:./connection.php");

}


function traitement($target, $target_file) {

	// Liste les caractres non autoriss
	$clean = array(
		" " => "_",
		"/" => "",
		"\\" => "",
		"?" => "",
		";" => "",
		"%" => "",
		"" => "",
		"" => "",
		"" => "",
		"" => "",
		":" => "",
		"!" => "",
		"$" => "",
		"*" => "",
		"&" => "",
		"~" => "",
		"\"" => "",
		"'" => "",
		"{" => "",
		"}" => "",
		"(" => "",
		")" => "",
		"[" => "",
		"]" => "",
		"|" => "",
		"`" => "",
		">" => "",
		"<" => "",
		"__" => "_",
		"^" => "",
		"=" => "",
		"+" => "",
		"#" => "",
		"@" => "a",
		"" => "a",
		"" => "a",
		"" => "a",
		"" => "e",
		"" => "e",
		"" => "e",
		"" => "e",
		"" => "o",
		"" => "o",
		"" => "o",
		"" => "i",
		"" => "i",
		"" => "i",
		"" => "u",
		"" => "u",
		"" => "u",
		"" => "u",
		"" => "c"
	);
	
	if(isset($target)) {
		// Remplace les caractres non autoriss
		$_POST[$target] = strtr($_POST[$target], $clean);
	}
	
	if(isset($target_file)) {
		// Remplace les caractres non autoriss
		$_FILES[$target_file]["name"] = strtr($_FILES[$target_file]["name"], $clean);
	}
	
}

?>