<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(2);
} else header("location:./connection.php");

######################

settype($i, "integer");
settype($o, "integer");

// Importation des donnes du menu
require("./modules/data_menu.php");

// Le bouton ok valide le form
if(isset($_POST["ok"])) {

	// Cre un fichier temporaire
	$temporary = fopen("./modules/menu_tempo.php", "w+");
	
	// Simule une array dans une variable
	foreach($menu as $value) {
	
		// Incrmente $o de + 1
		$o++;
		
		// Vrifie que l'id est numrique
		if(is_numeric($_POST["id_" . $o])) {
			$test = $test . "\$temp[". $o ."] = \"". $_POST["id_" . $o] ."\";\n";
		}
		
		// Rend l'id nulle
		else {
			$test = $test . "\$temp[". $o ."] = \"0\";\n";
		}
		
	}
	
	// Enregistre dans le fichier temporaire les ids
	fwrite($temporary, "<?php\n". $test ."?>");
	fclose($temporary);
	
	// Importation des donnes temporaires
	require("./modules/menu_tempo.php");

	// Classe les ids en ordre numrique
	asort($temp, SORT_NUMERIC);
	
	// Enregistre les modifications
	$target = fopen("./modules/data_menu.php", "w+");
	fwrite($target, "<?php\n");
	
	// ################################
	foreach($temp as $index2 => $value2) {
	
		// Incrmente $i de + 1
		$i++;
		
		// Remplace les double-guillemets
		$_POST["name_" . $index2] = str_replace("\"", "&quot;", $_POST["name_" . $index2]);
		$_POST["url_" . $index2] = str_replace("\"", "&quot;", $_POST["url_" . $index2]);
		
		// Supprime les antislashs "\"
		$_POST["name_" . $index2] = stripslashes($_POST["name_" . $index2]);
		$_POST["url_" . $index2] = stripslashes($_POST["url_" . $index2]);
		
		fwrite($target, "\$menu[\"". $_POST["unique_" . $index2] ."\"][\"name\"] = \"". $_POST["name_" . $index2] ."\";\n\$menu[\"". $_POST["unique_" . $index2] ."\"][\"url\"] = \"". $_POST["url_" . $index2] ."\";\n\$menu[\"". $_POST["unique_" . $index2] ."\"][\"id\"] = \"". $value2 ."\";\n");
			
	}
	
	fwrite($target, "?>");
	fclose($target);
	
	// Supprime le fichier temporaire
	unlink("./modules/menu_tempo.php");
	
	// Redirection vers le module et message d'action
	$_SESSION["action"] = "Menu modifi avec succs.";
	header("location:./admin.php?module=menu");
	exit;
	
}

// Le bouton create valide le form
if(isset($_POST["create"])) {	

	// Sauvegarde du menu
	$save = file("./modules/data_menu.php");
	
	// Gnre une id unique alatoire
	for($i = 0; $i < 15; $i++) {
		$number = $number . rand(0, 9);
	}
	
	// Ajout d'un lien
	$target = fopen("./modules/data_menu.php", "w+");
	
	for($i = 0; $i < count($save)-1; $i++) {
		fwrite($target, $save[$i]);
	}
	
	fwrite($target, "\$menu[\"". $number ."\"][\"name\"] = \"Nom du menu\";\n\$menu[\"". $number ."\"][\"url\"] = \"URL du menu\";\n\$menu[\"". $number ."\"][\"id\"] = \"0\";\n?>");
	fclose($target);
	
	// Redirection vers le module et message d'action
	$_SESSION["action"] = "Un nouveau lien a t ajout au menu.";
	header("location:./admin.php?module=menu");
	exit;
	
}

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Gestion du menu</h2>
	<form method='post' name='form' action=''>
	<table width='100%'>
	<th>Ordre</th><th>Nom du lien</th><th>URL du lien</th><th></th>
";
	
foreach($menu as $value => $rendu) { 

	$name[$value] = $rendu['name'];
	$url[$value] = $rendu['url'];
	$id[$value] = $rendu['id'];
	
	// Incrmente $i de + 1
	$i++;
	
	echo '
		<tr>
		<td style="width:10%;">
		<input style="width:75%" type="text" name="id_'. $i .'" value="'. $rendu['id'] .'" />
		</td>
		<td style="width:40%;">
		<input style="width:95%" type="text" name="name_'. $i .'" value="'. $rendu['name'] .'" />
		</td>
		<td style="width:40%;">
		<input style="width:95%" type="text" name="url_'. $i .'" value="'. $rendu['url'] .'" />
		</td>
		<td style="width:10%;">
		<a href="./admin.php?module=menu_supprimer&id='. $value .'"><small>Supprimer</small></a>
		<input type="hidden" name="unique_'. $i .'" value="'. $value .'" />
		</td>
		</tr>
	';
	
}

unset($valeur, $rendu);

echo "
	</table>
	<br />
	<div style='text-align:center;'><input type='submit' name='ok' value='Valider'> | <input type='submit' name='create' value='Ajouter un lien'></div>
</form>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>