<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(4);
} else header("location:./connection.php");

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Liste des modules</h2>
	Pour ajouter un module, uploadez dans le dossier <em>\"Modules\"</em> de votre site <strong>un module compatible Zwii</strong>. Pour plus d'informations ou pour tlcharger des modules, jetez un coup d'oeil sur le <a href='http://zwii.free.fr'>site de Zwii</a>.
";

$dir = "./modules/";
$dh = opendir($dir);

// Retourne le nom du fichier suivant contenu dans $dh
while(false !== ($file = readdir($dh))) {

	// Ne garde que les dossiers et supprime . et ..
	if(is_dir($dir.$file)
	&& $file != "."
	&& $file != "..") {
	
		// Vrifie que info.php existe
		if(is_file($dir.$file."/info.php")) {
		
			// Importe les donnes du module
			require_once($dir.$file."/info.php");
			
			// Vrifie le contenu de info.php
			if(isset($info["nom"])
			&& isset($info["auteur"])
			&& isset($info["description"])
			&& isset($info["options"])) {
				
				echo "
					<ul>
					<li>
					<a href='./index.php?module=". $file ."'><strong>". $info["nom"] ."</strong></a>
				";
				
				// Affiche la commande d'options seulement si $info["options"] = true
				if($info["options"] == true) {
					echo "(<a href='./admin.php?module=module_options&id=". $file ."'>Options</a>)";
				}
				
				echo "
					<br />
					<small>Lien vers le module : ". $conf["url_du_site"] ."/index.php?module=". $file ."</small>
					<br />
					". $info[description] ."
					<br />
					<em>Auteur : ". $info[auteur] ."</em>
					<br />
					</li>
					</ul>
					<hr />
				";
				
			}
			
		}
		
	}
	
}

// Ferme le pointeur ouvert par $dh
closedir($dh);

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>