<?php 

// Importation du fichier de configuration 
require_once("./configuration.php");
require_once("./fonctions.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $conf["titre_du_site"]; ?></title>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
	<meta name="description" content="<?php echo $conf["description"]; ?>"/>
	<meta name="keywords" content="<?php echo $conf["mots_clef"]; ?>"/>
	<meta name="author" content="<?php echo $conf["auteur"]; ?>"/>
	<link title="style" type="text/css" rel="stylesheet" href="./themes/witi/css/style.css"/>
	<link title="style" type="text/css" rel="stylesheet" href="./themes/witi/css/administration.css"/>
	<link rel="shortcut icon" href="./themes/witi/favicon.ico" />
</head>
<body>
	<div id="site">
	
		<div id="barre"><div class="haut"><a href="./admin.php">Administration</a></div></div>
		<div id="banniere">
			<div class="contenu">
				<div class="titre"><?php echo $conf["titre_du_site"]; ?></div>
				<div class="slogan"><?php echo $conf["slogan"]; ?></div>
			</div>
		</div>
	
		<div id="droite">
			<div class="titre">Menu</div>
			<div class="menu">
				<div class="navigation">
					<ul>
						<?php menu(); // Importation du menu ?>
					</ul>
				</div>
					<?php include("./modules/data_bloc.php"); // Importation du bloc ?>
			</div>
		</div>
		
		<div id="gauche">
			<div class="contenu_gauche">