<?php

// Dmarrage de la session
session_start();

// Importe la configuration du site et les fonctions
require_once("./configuration.php");
require_once("./fonctions.php");

// Si le formulaire est valid
if(isset($_POST["valider"])) {

	// Transforme les majuscules en minuscules et traite le pseudo
	$_POST["pseudo"] = strtolower($_POST["pseudo"]);
	traitement("", "pseudo");
	
	// Si le compte demand existe
	if(is_file("./comptes/".$_POST["pseudo"].".php")) {
	
		// Importe le mot de passe du compte
		require_once("./comptes/".$_POST["pseudo"].".php");
		
		// Vrifie le mot de passe du compte
		if(md5(sha1(md5($_POST["mdp"]))) == ADM_MDP) {
		
			// Dfinition de la session d'administration
			$_SESSION["admin"] = true;
			$_SESSION["pseudo"] = $_POST["pseudo"];
			$_SESSION["mdp"] = ADM_MDP;
			$_SESSION["rang"] = ADM_RANG;
			
			// Redirection vers le module d'administration
			header("location:./admin.php");
			exit;
			
		}
		
		else {
		
			// Redirection et message d'action
			$_SESSION["action"] = "# Erreur ! Mot de passe incorrect.";
			header("location:./connection.php");
			exit;
			
		}
		
	}

	else {
	
		// Redirection et message d'action
		$_SESSION["action"] = "# Erreur ! Le pseudo demand n'existe pas.";
		header("location:./connection.php");
		exit;
		
	}
	
}

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Connection  l'administration</h2>
	<form method='post' name='formulaire' action=''>
	<div style='text-align:center;'>
	<strong>Pseudo :</strong><br />
	<input style='width:40%;' maxlength='50' type='text' name='pseudo' value='' /><br />
	<br />
	<strong>Mot de passe :</strong><br />
	<input style='width:40%;' maxlength='50' type='password' name='mdp' value='' /><br />
	<br />
	<input type='submit' name='valider' value='Se connecter' />
	</div>
	</form>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php"); 

?>