<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(3);
} else header("location:./connection.php");

######################

// Le bouton ok valide le form
if(isset($_POST["ok"])) {

	// Transforme les majuscules en minuscules et filtre le pseudo
	$_POST["pseudo"] = strtolower($_POST["pseudo"]);
	traitement("pseudo", "");
	
	// Seulement si le mot de passe et sa confirmation sont identiques
	if($_POST["password"] == $_POST["conf_password"]) {
	
		// La totalit des champs doit tre remplie
		if(!empty($_POST["pseudo"]) &&
		!empty($_POST["password"]) &&
		!empty($_POST["conf_password"]) &&
		!empty($_POST["rows"])) {
		
			// Le compte ne doit pas dj exist
			if(!is_file("./comptes/". $_POST["pseudo"] .".php")) {
			
				// Enregistre les nouvelles donnes du compte
				$target = fopen("./comptes/". $_POST["pseudo"] .".php", "w+");
				fwrite($target, "<?php\nDEFINE(\"ADM_MDP\",\"".md5(sha1(md5($_POST["password"]))) ."\");\nDEFINE(\"ADM_RANG\",\"". $_POST["rows"] ."\");\n?>");
				fclose($target);
				
				// Redirection vers le module des comptes et message d'action
				$_SESSION["action"] = "Un nouveau compte a t cr.";
				header("location:./admin.php?module=comptes");
				exit;
				
			}
			
			else {
			
				// Redirection vers le module et message d'action
				$_SESSION["action"] = "Compte dj existant.";
				header("location:./admin.php?module=compte_ajout");
				exit;
				
			}
			
		}
		
		else {
			
				// Redirection vers le module et message d'action
				$_SESSION["action"] = "Veuillez remplir la totalit des champs.";
				header("location:./admin.php?module=compte_ajout");
				exit;
				
		}
		
	}
	
	else {
			
				// Redirection vers le module et message d'action
				$_SESSION["action"] = "La confirmation du mot de passe ne correspond pas au mot de passe.";
				header("location:./admin.php?module=compte_ajout");
				exit;
				
	}	
	
}

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Crer un compte</h2>
	<form method='post' name='form' action=''>
	<table style='width:100%;'>
	<th colspan='2'>Informations</th>
	<tr>
	<td><strong>Pseudo d'administrateur</strong></td>
	<td><input style='width:95%' type='text' name='pseudo' maxlength='50' value='' /></td>
	</tr>
	<tr>
	<td><strong>Mot de passe</strong></td>
	<td><input style='width:95%' type='password' name='password' maxlength='50' value='' /></td>
	</tr>
	<tr>
	<td><strong>Confirmez le mot de passe</strong></td>
	<td><input style='width:95%' type='password' name='conf_password' maxlength='50' value='' /></td>
	</tr>
	<tr>
	<td><strong>Choix du rang</strong></td>
	<td>
	<select style='width:95%' name='rows'>
	<option>1</option>
	<option>2</option>
	<option>3</option>
	<option>4</option>
	</select>
	</td>
	</tr>
	</table>
	<br />
	<div style='text-align:center;'><input type='submit' name='ok' value='Valider' /></div>	
	</form>
	<hr />
	<strong>Voici ci-dessous une liste des rangs ncessaires pour pouvoir ce dplacer dans l'administration.</strong> Bien sur, vous avez la possibilit de les modifier en ditant les modules disponibles dans le systme de Zwii.<br />
	<br />
	<table style='width:100%;'>
	<th style='width:20%;'>Modules</th>
	<th style='width:20%;'>Rang 1</th>
	<th style='width:20%;'>Rang 2</th>
	<th style='width:20%;'>Rang 3</th>
	<th style='width:20%;'>Rang 4</th>
	<tr>
	<td><strong>Accueil</strong></td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Comptes</strong></td>
	<td>-</td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Paramtres</strong></td>
	<td>-</td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Pages</strong></td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Fichiers</strong></td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Menu</strong></td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Bloc</strong></td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Modules</strong></td>
	<td>-</td>
	<td>-</td>
	<td>-</td>
	<td>O</td>
	</tr>
	</table>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>