<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(3);
} else header("location:./connection.php");

######################

// Supprime le slash pour empcher de naviguer dans l'arbre du site
$_GET["compte"] = str_replace ("/","",$_GET["compte"]);

// Redirection si le module demand n'existe pas
if(!is_file("./comptes/". $_GET["compte"] .".php")) {

	// Redirection vers le module des comptes
	header("location:./admin.php?module=comptes");
	
} else $account = $_GET["compte"];

// Coupe le nom du compte en deux parties
$cut = explode('"', file_get_contents("./comptes/". $account .".php"));

// Le bouton ok valide le form
if(isset($_POST["ok"])) {

	// Transforme les majuscules en minuscules et filtre le pseudo
	$_POST["pseudo"] = strtolower($_POST["pseudo"]);
	traitement("pseudo", "");
	
	// Seulement si le mot de passe et sa confirmation sont identiques
	if($_POST["new_password"] == $_POST["conf_new_password"]) {
	
		// La totalit des champs obligatoires doit tre remplie
		if(!empty($_POST["pseudo"])
		&& !empty($_POST["rows"])) {
		
			// Le compte doit dj exist
			if(is_file("./comptes/". $account .".php")) {
			
				// Renomme le compte
				rename("./comptes/". $account .".php", "./comptes/". $_POST["pseudo"] .".php");
				
				// Enregistre les modifications du compte
				$target = fopen("./comptes/". $_POST["pseudo"] .".php", "w+");
				
				// Ne change pas le mot de passe si il est vide
				if(empty($_POST["new_password"])
				&& empty($_POST["conf_new_password"])) {
				
					fwrite($target, "<?php\nDEFINE(\"ADM_MDP\",\"".$cut[3]."\");\nDEFINE(\"ADM_RANG\",\"".$_POST["rows"]."\");\n?>");
				
				}
				
				// Le mot de passe est rempli, il est donc modifi et hach
				else {
				
					fwrite($target, "<?php\nDEFINE(\"ADM_MDP\",\"".md5(sha1(md5($_POST["new_password"])))."\");\nDEFINE(\"ADM_RANG\",\"".$_POST["rows"]."\");\n?>");
				
				}
				
				fclose($target);
				
				// Redirection vers le module des comptes et message d'action
				$_SESSION["action"] = "Compte modifi avec succs.";
				header("location:./admin.php?module=comptes&compte=". $account ."");
				exit;
				
			}
			
		}
		
		else {
				
			// Redirection vers le module et message d'action
			$_SESSION["action"] = "Veuillez remplir la totalit des champs obligatoires.";
			header("location:./admin.php?module=compte_modifier&compte=". $account ."");
			exit;
			
		}	
		
	}
	
	else {
				
		// Redirection vers le module et message d'action
		$_SESSION["action"] = "La confirmation du mot de passe ne correspond pas au nouveau mot de passe.";
		header("location:./admin.php?module=compte_modifier&compte=". $account ."");
		exit;
					
	}	
	
}

######################

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Modification d'un compte</h2>
	<form method='post' name='form' action=''>
	<table style='width:100%;'>
	<th colspan='2'>Informations</th>
	<tr>
	<td><strong>Pseudo d'administrateur</strong></td>
	<td><input style='width:95%' type='text' name='pseudo' maxlength='50' value='". $account ."' /></td>
	</tr>
	<tr>
	<td><strong>Mot de passe*</strong></td>
	<td><input style='width:95%' type='password' name='new_password' maxlength='50' value='' /></td>
	</tr>
	<tr>
	<td><strong>Confirmez le mot de passe*</strong></td>
	<td><input style='width:95%' type='password' name='conf_new_password' maxlength='50' value='' /></td>
	</tr>
	<tr>
	<td><strong>Choix du rang</strong></td>
	<td>
	<select style='width:95%' name='rows'>
	<option selected='selected'>". $cut[7] ."</option>
	<option>1</option>
	<option>2</option>
	<option>3</option>
	<option>4</option>
	</select>
	</td>
	</tr>
	</table>
	<br />
	<div style='text-align:center;'><input type='submit' name='ok' value='Valider' /></div>
	<em>* : Champs facultatifs.</em>
</form>
	<hr />
	<strong>Voici ci-dessous une liste des rangs ncessaires pour pouvoir ce dplacer dans l'administration.</strong> Bien sur, vous avez la possibilit de les modifier en ditant les modules disponibles dans le systme de Zwii.
	<br />
	<br />
	<table style='width:100%;'>
	<th style='width:20%;'>Modules</th>
	<th style='width:20%;'>Rang 1</th>
	<th style='width:20%;'>Rang 2</th>
	<th style='width:20%;'>Rang 3</th>
	<th style='width:20%;'>Rang 4</th>
	<tr>
	<td><strong>Accueil</strong></td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Comptes</strong></td>
	<td>-</td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Paramtres</strong></td>
	<td>-</td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Pages</strong></td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Fichiers</strong></td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Menu</strong></td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Bloc</strong></td>
	<td>-</td>
	<td>O</td>
	<td>O</td>
	<td>O</td>
	</tr>
	<tr>
	<td><strong>Modules</strong></td>
	<td>-</td>
	<td>-</td>
	<td>-</td>
	<td>O</td>
	</tr>
	</table>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>