<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(4);
} else header("location:./connection.php");

######################

$array = array();

$dir = "./modules/compteurs/data/";
$dh = opendir($dir);

// Retourne le nom du fichier suivant contenu dans $dh
while(false !== ($file = readdir($dh))) {

	// Ne garde que les fichier .dat
	if(substr_count($file, ".dat")) {
	
		array_push($array, $file);
			
	}

}

// Ferme le pointeur ouvert par $dh
closedir($dh);

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Options du compteurs de clics</h2>
	<strong>I.</strong> Pour augmenter le nombre de clics d'un compteur, vous devez simplement crer un lien sur votre site sous le format suivant :
	<br />
	<br />
	&lt;a href=\"". $conf["url_du_site"] ."/index.php?module=compteurs&id=<strong>ID du compteur</strong>\"&gt;Nom du lien&lt;/a&gt;
	<br />
	<br />
	<strong>II.</strong> Pour afficher le nombre de clics, il vous suffit d'crire le code suivant sur une page  l'endroit voulu :
	<br />
	<br />
	&lt;?php include(\"". $conf["url_du_site"] ."/modules/compteurs/data/<strong>ID du compteur</strong>.dat\"); ?&gt;
	<hr />
	<div style='text-align:center;'><a href='./admin.php?module=module_options&id=compteurs&autre=creer'>&lt;&lt; Crer un nouveau compteur &gt;&gt;</a></div>
	<br />
	Ici, vous pouvez supprimer les compteurs que vous ne voulez plus.
	<ul>
";

// Affiche dans un tableau les donnez contenu dans le array
foreach ($array as $value) {

	$download = file_get_contents("./modules/compteurs/data/". $value ."");
	$name = file_get_contents("./modules/compteurs/data/info/". $value ."");
	
	$ident = explode(".", $value);

	echo "
		<li>ID : <strong>". $ident[0] ."</strong> | <em>". $name ."</em>
		<br />
		Nombre de clics : <strong>". $download ."</strong>
		<br />
		<a href='./admin.php?module=module_options&id=compteurs&autre=supprimer&compteur=". $value ."'><strong>(Supprimer)</strong></a>
		</li>
	";
	
}

echo "</ul>";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>