<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(2);
} else header("location:./connection.php");

######################

settype($i, "integer");

// Importation des donnes du menu
require("./modules/data_menu.php");

// Vrifie l'existance du lien demand
if(array_key_exists($_GET["id"], $menu)) {

	$id_unique = $_POST["id"];
	
}

else {

	// Redirection vers le module du menu et message de l'action
	$_SESSION["action"] = "Le lien demand n'existe pas.";
	header("location:./admin.php?module=menu");
	exit;
	
}

// Le bouton yes valide le form
if(isset($_POST["yes"])) {

	// Sauvegarde du menu
	$save = file("./modules/data_menu.php");
	
	// Supprime le lien demand
	for($i = 0; $i < count($save); $i++) {
	
		if(strpos($save[$i], "[\"". $id_unique ."\"]") != false) {
			array_splice($save, $i, 3);
		}
		
	}
	
	// Enregistre le menu sans le lien supprim
	$target = fopen("./modules/data_menu.php", "w+");
	
	for($o = 0; $o < count($save); $o++) {
		fwrite($target, $save[$o]);
	}
	
	fclose($target);
	
	// Redirection vers le module du menu et message d'action
	$_SESSION["action"] = "Lien supprim avec succs.";
	header("location:./admin.php?module=menu");
	exit;
	
}

// Le bouton no valide le form
elseif(isset($_POST["no"])) {

	// Redirection vers le module du menu et message d'action
	$_SESSION["action"] = "Suppression de lien annule.";
	header("location:./admin.php?module=menu");
	exit;
	
}

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");

echo "
	<h2>Supprimer un menu</h2>
	<form method='post' name='form' action=''>
	Voulez vous vraiment supprimer ce menu ?
	<div style='text-align:center;'>
	<input type='hidden' name='id' value='". $_GET["id"] ."'>
	<input type='submit' name='yes' value='Oui'> | <input type='submit' name='no' value='Non'>
	</div>
	</form>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>