<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(1);
} else header("location:./connection.php");

######################

// Supprime le slash "/" pour empcher de naviguer dans l'arbre du site
$_GET["page"] = str_replace ("/","",$_GET["page"]);

// Seulement si le fichier demand n'existe pas
if(!is_file("./pages/". $_GET["page"])) {

	// Redirection vers le module des fichiers et message d'action
	$_SESSION["action"] = "La page demande n'existe pas.";
	header("location:./admin.php?module=pages");
	exit;
	
}

else {

	$file = $_GET["page"];
	
	// Liste le texte de la page
	$text = file_get_contents("./pages/". $file ."");
	
}

// Supprime l'extention du nom du fichier
$name = pathinfo("./fichiers/". $file ."");
$basename = str_replace(".". $name["extension"] ."", "", $name["basename"]);

// Le bouton ok valide le form et name n'est pas vide
if(isset($_POST["ok"])
&& isset($_POST["name"])) {

	/// Filtre le nom de la page
	traitement("name", "");
	
	// Renomme la page
	rename("./pages/". $file ."", "./pages/". $_POST["name"] .".php");
	
	// Supprime les antislashs "\"
	$contents = stripslashes($_POST['contents']);
	
	// Enregistre le contenu dans la page
	$target = fopen("./pages/". $_POST["name"] .".php", "w+");
	fwrite($target, $contents);
	fclose($target);
	
	// Redirection vers le module des pages et message d'action
	$_SESSION["action"] = "Page modifie avec succs.";
	header("location:./admin.php?module=pages");
	exit;
	
}

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");

echo "
	<h2>Modifier la page</h2>
	<form method='post' name='form' action=''>
	<div style='text-align:center;'>
	<strong>Nom de votre page :</strong> <input type='text' name='name' value='". $basename ."' /> <em>.php</em><br />
	<br />
	<textarea rows='25' name='contents' style='width:95%;'>". $text ."</textarea><br />
	<br />
	<input type='submit' name='ok' value='Valider' />
	</div>
	</form>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>