<?php

// Dmarrage de la session
session_start();

// Vrification de la session d'administration
if($check == true) {
	require_once("./fonctions.php");
	admin(1);
} else header("location:./connection.php");

######################

$array = array();
settype($i, "integer");
$i = 0;

$dir = "./pages/";
$dh = opendir($dir);

// Retourne le nom du fichier suivant contenu dans $dh
while(false !== ($file = readdir($dh))) {

	// Ne garde que les fichier .php
	if(substr_count($file, ".php")) {
	
		array_push($array, $file);
		$i++;
			
	}

}

// Ferme le pointeur ouvert par $dh
closedir($dh);

// Affiche les pages en ordre croissant ou decroissant
if(isset($_GET["tri"]) && $_GET["tri"] == "decroissant") array_multisort($array, SORT_DESC);
else array_multisort($array, SORT_ASC);

######################

// Importation du thme (haut)
include("./themes/". $conf["theme"] ."/haut.php");
action();

echo "
	<h2>Gestion des pages</h2>
	<div style='text-align:center;'><a href='admin.php?module=page_ajout'>&lt;&lt; Crer une nouvelle page &gt;&gt;</a></div><br />
	<table style='width:100%;'>
	<th colspan='3'>Ordre de tri : <a href='admin.php?module=pages&tri=croissant'>Croissant</a> | <a href='admin.php?module=pages&tri=decroissant'>Dcroissant</a></th>
";
	
// Affiche dans un tableau les donnez contenu dans le array
foreach ($array as $value) {

	$link = explode(".", $value);
	$dir = "./pages/";

	echo "
		<tr>
		<td style='width:80%;'>
		<a href='./index.php?page=". $link[0] ."'><strong>".$value."</strong></a>
		<br />
		<em>
		". $conf["url_du_site"] ."/index.php?page=". $link[0] ."
		<br />
		<small>
	";
	
	// Poids en octets
	if(filesize($dir.$value) < 1024) {
		echo "(Poids : ". filesize($dir . $value). " octets)";
	}
	
	// Poids en Ko
	elseif(round(filesize($dir.$value)/1024) < 1024) {
		echo "(Poids : ". round(filesize($dir . $value)/1024) ." Ko)";
	}
	
	// Poids en Mo
	else {
		echo "(Poids : ". round(filesize($dir . $value)/(1024*1024)) ." Mo)";
	}
	
	echo "
		</em></small>
		</td>
		<td style='width:10%;'><a href='./admin.php?module=page_modifier&page=".$value."'><small>Modifier</small></a></td>
		<td style='width:10%;'><a href='./admin.php?module=page_supprimer&page=".$value."'><small>Supprimer</small></a></td>
		</tr>
	";
	
}

echo "
	</table>
	<br />
	<div style='text-align:center;'><small><strong>". $i ."</strong> Pages</small></div>
";

// Importation du thme (bas)
include("./themes/". $conf["theme"] ."/bas.php");

?>